Ubuntu

Keyboard random repeat and dropped key presses

Reported by eddie70 on 2006-04-12
118
This bug affects 3 people
Affects Status Importance Assigned to Milestone
linux-restricted-modules-2.6.15 (Ubuntu)
Undecided
Ben Collins
linux-source-2.6.15 (Ubuntu)
High
Ben Collins
linux-source-2.6.17 (Ubuntu)
High
Ben Collins
Dapper
Undecided
Unassigned

Bug Description

Hi all

I have a problem that my keyboard will seemingly at random start repeating itself or do nothing at all.

i.e I might get something like this:

  hellllllllllllllllllllllllllllloJkes
in place of
  Hello Jakes

Also happens to function buttons i.e. ctr, shift, alt, and in very rare moments the mouse buttons, this could be a red herring as I can only remember this once, could it be the "enter" key that was stuck?

I have a Dell INSPIRON 5150 notebook and the problem started when i upgraded from ubuntu breezy to ubuntu dapper, i had upgraded from hoary to breezy before. Runnin GNOME.

A few observations
1. The problem seems to get worse with the heaver the load on the box.
2. The problem seems to disappear in run level 1 but this may be a red herring and related to observation 1.
3. The longer the box is on the more this problem seems happens.
4. ssh'ing into the box does not have the problem.
5. The problem is a lot worse in a virtual term i.e. "ctr-alt-f1". Here the problem gets so bad that only in very few instances have I been able to log in. The virtual term also seems to do random carriage returns in the login phase. Once in a virtual term I have almost never been able the "ctr-alt-f7" out of them.
6. I have tried using a external usb keyboard, the problem 6, me 0, the problem is still there.

Things that i have tried
1. The only way to work with out smashing my fist through my keyboard is to turn auto repeat off under System --> Preference --> Keyboard

2. I have tried the "modprobe psmouse rate=40" problem still there and cant tell if better or worse.

3. Making changes to my xorg.conf file, no difference.

Have checked my dmesg for any thing "key".
# dmesg | grep -i key
  [4294672.433000] i8042.c: Warning: Keylock active.
  [4294672.443000] input: AT Translated Set 2 keyboard
  as /class/input/input0

and acpi (see end of doc)

Please if there is any thing else or help that some one needs i am willing to help as this problem is not only driving me mad but killing my productivity at work.

dmesg | grep -i acpi
[4294667.296000] ACPI: RSDP (v000 DELL) @ 0x000fdea0
[4294667.296000] ACPI: RSDT (v001 DELL CPi R 0x27d40308 ASL 0x00000061) @ 0x1fff0000
[4294667.296000] ACPI: FADT (v001 DELL CPi R 0x27d40308 ASL 0x00000061) @ 0x1fff0400
[4294667.296000] ACPI: MADT (v001 DELL CPi R 0x27d40308 ASL 0x00000047) @ 0x1fff0c00
[4294667.296000] ACPI: DSDT (v001 INT430 SYSFexxx 0x00001001 MSFT 0x0100000e) @ 0x00000000
[4294667.296000] ACPI: PM-Timer IO Port: 0x1008
[4294667.296000] ACPI: Local APIC address 0xfee00000
[4294667.296000] ACPI: LAPIC (acpi_id[0x00] lapic_id[0x00] enabled)
[4294667.296000] ACPI: LAPIC (acpi_id[0x01] lapic_id[0x01] disabled)
[4294667.296000] ACPI: LAPIC_NMI (acpi_id[0x00] high edge lint[0x1])
[4294667.296000] ACPI: LAPIC_NMI (acpi_id[0x01] high edge lint[0x1])
[4294667.296000] ACPI: IOAPIC (id[0x01] address[0xfec00000] gsi_base[0])
[4294667.296000] ACPI: INT_SRC_OVR (bus 0 bus_irq 0 global_irq 2 dfl dfl)
[4294667.296000] ACPI: INT_SRC_OVR (bus 0 bus_irq 9 global_irq 9 high level)
[4294667.296000] ACPI: IRQ0 used by override.
[4294667.296000] ACPI: IRQ2 used by override.
[4294667.296000] ACPI: IRQ9 used by override.
[4294667.296000] Using ACPI (MADT) for SMP configuration information
[4294671.879000] ACPI: Looking for DSDT ... not found!
[4294671.993000] ACPI: bus type pci registered
[4294672.018000] ACPI: Subsystem revision 20051216
[4294672.029000] ACPI: Interpreter enabled
[4294672.029000] ACPI: Using IOAPIC for interrupt routing
[4294672.030000] ACPI: PCI Root Bridge [PCI0] (0000:00)
[4294672.030000] ACPI: Assume root bridge [\_SB_.PCI0] bus is 0
[4294672.035000] PCI quirk: region 1000-107f claimed by ICH4 ACPI/GPIO/TCO
[4294672.036000] ACPI: PCI Interrupt Routing Table [\_SB_.PCI0._PRT]
[4294672.042000] ACPI: PCI Interrupt Link [LNKA] (IRQs 9 10 *11)
[4294672.042000] ACPI: PCI Interrupt Link [LNKB] (IRQs 5 7) *11
[4294672.042000] ACPI: PCI Interrupt Link [LNKC] (IRQs 9 10 *11)
[4294672.043000] ACPI: PCI Interrupt Link [LNKD] (IRQs 5 7 9 10 *11)
[4294672.043000] ACPI: PCI Interrupt Link [LNKE] (IRQs 3 4 5 6 7 9 10 *11 12 14 15)
[4294672.043000] ACPI: PCI Interrupt Link [LNKH] (IRQs 3 4 5 6 7 9 10 *11 12 14 15)
[4294672.043000] ACPI: PCI Interrupt Routing Table [\_SB_.PCI0.AGP_._PRT]
[4294672.044000] ACPI: PCI Interrupt Routing Table [\_SB_.PCI0.PCIE._PRT]
[4294672.044000] pnp: PnP ACPI init
[4294672.049000] pnp: PnPACPI: unknown resource type 7
[4294672.049000] pnp: PnPACPI: METHOD_NAME__CRS failure for PNP0c01
[4294672.049000] pnp: PnPACPI: unknown resource type 7
[4294672.049000] pnp: PnPACPI: METHOD_NAME__CRS failure for PNP0c01
[4294672.049000] pnp: PnPACPI: unknown resource type 7
[4294672.049000] pnp: PnPACPI: METHOD_NAME__CRS failure for PNP0c01
[4294672.049000] pnp: PnPACPI: unknown resource type 7
[4294672.049000] pnp: PnPACPI: METHOD_NAME__CRS failure for PNP0f13
[4294672.049000] pnp: PnPACPI: unknown resource type 7
[4294672.049000] pnp: PnPACPI: METHOD_NAME__CRS failure for PNP0303
[4294672.049000] pnp: PnPACPI: unknown resource type 7
[4294672.049000] pnp: PnPACPI: METHOD_NAME__CRS failure for PNP0b00
[4294672.049000] pnp: PnPACPI: unknown resource type 7
[4294672.049000] pnp: PnPACPI: METHOD_NAME__CRS failure for PNP0800
[4294672.049000] pnp: PnPACPI: unknown resource type 7
[4294672.049000] pnp: PnPACPI: METHOD_NAME__CRS failure for PNP0c01
[4294672.049000] pnp: PnPACPI: unknown resource type 7
[4294672.049000] pnp: PnPACPI: METHOD_NAME__CRS failure for PNP0200
[4294672.049000] pnp: PnPACPI: unknown resource type 7
[4294672.049000] pnp: PnPACPI: METHOD_NAME__CRS failure for PNP0c04
[4294672.050000] pnp: PnP ACPI: found 0 devices
[4294672.050000] PnPBIOS: Disabled by ACPI PNP
[4294672.050000] PCI: Using ACPI for IRQ routing
[4294672.064000] ACPI: PCI Interrupt 0000:02:04.0[A] -> GSI 16 (level, low) -> IRQ 169
[4294672.437000] ACPI: PCI Interrupt 0000:00:1f.6[B] -> GSI 17 (level, low) -> IRQ 177
[4294672.437000] ACPI: PCI interrupt for device 0000:00:1f.6 disabled
[4294672.437000] ACPI: bus type ide registered
[4294672.448000] ACPI wakeup devices:
[4294672.448000] ACPI: (supports S0 S1 S3 S4 S5)
[4294673.898000] ACPI: CPU0 (power states: C1[C1] C2[C2] C3[C3] C4[C3])
[4294673.898000] ACPI: Processor [CPU0] (supports 8 throttling states)
[4294673.901000] ACPI: Thermal Zone [THM] (62 C)
[4294674.392000] ACPI: PCI Interrupt 0000:00:1f.1[A] -> GSI 16 (level, low) -> IRQ 169
[4294677.036000] ACPI: PCI Interrupt 0000:00:1d.0[A] -> GSI 16 (level, low) -> IRQ 169
[4294677.138000] ACPI: PCI Interrupt 0000:00:1d.1[B] -> GSI 19 (level, low) -> IRQ 185
[4294677.239000] ACPI: PCI Interrupt 0000:00:1d.2[C] -> GSI 18 (level, low) -> IRQ 193
[4294677.341000] ACPI: PCI Interrupt 0000:00:1d.7[D] -> GSI 23 (level, low) -> IRQ 201
[4294695.810000] ACPI: PCI Interrupt 0000:00:1f.5[B] -> GSI 17 (level, low) -> IRQ 177
[4294696.624000] ACPI: PCI Interrupt 0000:02:04.0[A] -> GSI 16 (level, low) -> IRQ 169
[4294696.624000] ACPI: PCI Interrupt 0000:01:00.0[A] -> GSI 20 (level, low) -> IRQ 209
[4294696.624000] ACPI: PCI Interrupt 0000:02:01.0[A] -> GSI 17 (level, low) -> IRQ 177
[4294696.628000] ACPI: PCI Interrupt 0000:02:02.0[A] -> GSI 18 (level, low) -> IRQ 193
[4294696.855000] ACPI: PCI Interrupt 0000:02:04.1[A] -> GSI 16 (level, low) -> IRQ 169
[4294752.247000] ACPI: AC Adapter [AC] (on-line)
[4294752.313000] ACPI: Lid Switch [LID]
[4294752.313000] ACPI: Power Button (CM) [PBTN]
[4294752.313000] ACPI: Sleep Button (CM) [SBTN]
[4294752.387000] ibm_acpi: ec object not found
[4294752.681000] ACPI: Battery Slot [BAT0] (battery present)
[4294752.703000] ACPI: Video Device [VID] (multi-head: yes rom: no post: no)
[4294974.990000] ibm_acpi: ec object not found

FredericVDE (fred-mentalwarp) wrote :

i have the same problem on my acer aspire 1500. I use dapper since some time now, and i noticed this problem maybe a week ago.

Mike Basinger (mike.basinger) wrote :
Download full text (4.7 KiB)

Same here on a Toshiba M30 laptop.

This use to work on other Linux distros
One solution for this, is to change the refresh rate of the mouse.
To do this become root (su -) then run: modprobe psmouse rate=40

But this does not work in the latest Dapper Kernel.

Here is a old fix for it
   1. Download the latest kernel source
   2. then open up the file ./drivers/input/mouse/psmouse-base.c with your favorite editor.
   3. Find this section in the code: (More recent kernels will have different code)

      /*
       * Try Synaptics TouchPad
       */
            if (psmouse_max_proto > PSMOUSE_PS2 && synaptics_detect(psmouse)) {
                      synaptics_hardware = 1;
                      psmouse->vendor = "Synaptics";
                      psmouse->name = "TouchPad";

                      if (psmouse_max_proto > PSMOUSE_IMEX) {
                              if (synaptics_init(psmouse) == 0)
                                      return PSMOUSE_SYNAPTICS;

      /*
       * Some Synaptics touchpads can emulate extended protocols (like IMPS/2).
       * Unfortunately Logitech/Genius probes confuse some firmware versions so
       * we'll have to skip them.
       */
                            psmouse_max_proto = PSMOUSE_IMEX;
                      }
              }

      And replace it with this:

      /*
       * Try Synaptics TouchPad
       */
      /* if (psmouse_max_proto > PSMOUSE_PS2 && synaptics_detect(psmouse)) {
                      synaptics_hardware = 1;
                      psmouse->vendor = "Synaptics";
                      psmouse->name = "TouchPad";

                      if (psmouse_max_proto > PSMOUSE_IMEX) {
                              if (synaptics_init(psmouse) == 0)
                                      return PSMOUSE_SYNAPTICS;
      */
      /*
       * Some Synaptics touchpads can emulate extended protocols (like IMPS/2).
       * Unfortunately Logitech/Genius probes confuse some firmware versions so
       * we'll have to skip them.
       */
      /* psmouse_max_proto = PSMOUSE_IMEX;
                      }
              }
      */

      (Basically the entire if statement has been commented out)
   4. Now open up the file ./drivers/input/keyboard/atkbd.c
   5. Find this section in the code:

      switch (atkbd->keycode[code]) {
       case ATKBD_KEY_NULL:
        break;
       case ATKBD_KEY_UNKNOWN:
        printk(KERN_WARNING "atkbd.c: Unknown key %s (%s set %d, code %#x on %s).n",
         atkbd->release ? "released" : "pressed",
         atkbd->translated ? "translated" : "raw",
         atkbd->set, code, serio->phys);
         if (atkbd->translated && atkbd->set == 2 && code == 0x7a)
          printk(KERN_WARNING "atkbd.c: This is an XFree86 bug. It shouldn't access hardware directly.n");
         else
          printk(KERN_WARNING "atkbd.c: Use 'setkeycodes %s%02x ' to make it known.n",code & 0x80 ? "e0" : "", code & 0x7f);
        break;
       case ATKBD_SCR_1:
        scroll = 1 - atkbd->release * 2;
        break;
       case ATKBD_SCR_2:
        scroll = 2 - atkbd->release * 4;
        ...

Read more...

Mike Basinger (mike.basinger) wrote :

Editing psmouse-base.c and recompiling the kernel no longer works.

Mike Basinger (mike.basinger) wrote :

Workaround:
I looks like psmouse rate=40 still works, but /etc/modules is not passing the parameter through.

I have gotten it to work but enter the two following commands.

sudo modprobe -r psmouse
sudo modprobe psmouse rate=40

It is still a definite bug in the synaptic driver in psmouse-base.c

psmouse-base.c needs to be fixed, or figure out why /etc/modules no longer passes the rate=40 parameter to the module while loading.

Mike Basinger (mike.basinger) wrote :

I think the resaon that /etc/modules is not passing the rate=40 parameter to psmouse module, is because that needs to happen after the nvidia module is loaded.

This is more difficult now since the nvidia module is not longer loaded by /etc/modules.

Putting nvidia in /etc/module has no effect.

eddie70 (duncan-adams) wrote :

Hi Mike

Thanks fr r fee (this is driving me mad)

ok lets start over.

Thanks for your feed back as u see i am sill suffering under the yoke of this problem.

I did not not try every thing that you sent (as the first few no longer work if i understand you correctly) but did do the.

  sudo modprobe -r psmouse
  sudo modprobe psmouse rate=40

Which did not help so i did. Then I tryed

  sudo modprobe -r psmouse

Which had me fooled for a while and i thought the problem was licked but it showed its nasty head just as i was relaxing.

If I can elp in any way to help solve this problem, I would be most willing.

Mike Basinger (mike.basinger) wrote :

The psmouse problem only affects Toshiba laptop, as far as I know. If you have something different, it may be a completely different problem.

Alberto Milone (albertomilone) wrote :

I had the same problem on my previous computer. It might be the DOUBLE CLOCK SPEED BUG.
Please, try my guide and see if it solves the problem:
http://ubuntuforums.org/showthread.php?t=75281

Paul Sladen (sladen) wrote :

Maybe related to bug #37472 or bug #21558.

 i8042.nomux=1

On Tue, 2006-05-16 at 22:11 +0000, Paul Sladen wrote:
> Maybe related to bug #37472 or bug #21558.

Hi Paul

Yes this does seem to be the same bug as #37472 but not the same as
#21558

I also tried to place the "i8042.nomux=1" in my /boot/grub/menu.lst but
the problem did not go away.

kernel /vmlinuz-2.6.15-22-686 root=/dev/hdc6 ro quiet splash
i8042.nomux=1

strange that afterwards when i sysctl -a | grep nomux
i got the following.

error: "Operation not permitted" reading key "net.ipv6.route.flush"
error: "Operation not permitted" reading key "net.ipv4.route.flush"
error: "Invalid argument" reading key "fs.binfmt_misc.register"

although i suspect this is not how to check for kernel parameters or
that the nomux was not loaded?

Here is the best workaround I have came up with.

Add the following to lines to /etc/rc.local and reboot.
modprobe -r psmouse
modprobe psmouse rate=40

On Tue, 2006-05-23 at 23:25 +0000, Mike Basinger wrote:
> Here is the best workaround I have came up with.
>
> Add the following to lines to /etc/rc.local and reboot.
> modprobe -r psmouse
> modprobe psmouse rate=40

I must have a diffrent problem as this does not fix the problem for me.

I installed xubuntu and when I activated the battery monitor my keyboard
became crazy, it was impossible to write a word correctly It' s critical . I
disabled the battery monitor under Xubuntu in order to use my keyboard

_________________________________________________________________
Windows Live Messenger : venez tester la version bêta !
http://www.ideas.live.com/programpage.aspx?versionId=0eccd94b-eb48-497c-8e60-c6313f7ebb73

I get the same behavior here on an Thinkpad T43, in X and on the console. When I lose a character relase the kernel prints e.g. the following:

[17214444.112000] atkbd.c: Unknown key released (translated set 2, code 0x6e on isa0060/serio0).
[17214444.112000] atkbd.c: Use 'setkeycodes 6e <keycode>' to make it known.

I have gnome-power-manager running displaying he battery status.
When I kill it, the problem goes away.

Paul Sladen (sladen) wrote :

Michael: Can you try booting with:

  i8042.nomux=1

Paul:
i8042.nomux=1 seems to work, after a quick test the problem does not seem to occur anymore.
Will update this info if I notice otherwise the next days.

Mohammed (gnucoder) wrote :

i8042.nomux=1 has no effect for me :(

buddhasmiles (bharaneer) wrote :

I have a dell 700m and installed dapper. Have the problem of key repeats or the key is stuck for a while (with no response) and suddenly i get repeat characters of the key i pressed.

This seems to happen more often when i have a lot of widows open.
i've tried i8042.nomux=1 in the boot parameter. But this doesnt help :-(

Changed in linux-source-2.6.15:
status: Needs Info → Confirmed
Ross Golder (ross-golder) wrote :

Same here. ASUS A8V Deluxe mainboard, AMD64 CPU. Breezy - no problems. Dapper - this very problem. I see from Googling about this is not distro-specific.

Wade Menard (wade-ezri) wrote :

I am with Michael Baumann in that killing gnome-power-manager appears to "fix" the problem for my Toshiba Satellite M100 Notebook

buddhasmiles (bharaneer) wrote :

I'm running fluxbox/rox on dapper, considering xfce :-)

I'm going to try turning off gkrellm monitors to see if the issue gets resolved. But I have a hunch that thats not going to fix it.

i8042.nomux=1 doesn' t have any effect for me

_________________________________________________________________
MSN Hotmail sur i-mode™ : envoyez et recevez des e-mails depuis votre
téléphone portable ! http://www.msn.fr/hotmailimode/

eddie70 (duncan-adams) wrote :

removing the following three apps has not helpe, i still have tisproblem
this problem*

battstat-applet-2
multiload-applet-2
cpufreq-applet

These are all programs which cause the battery status to be queried. The battery status is handled by the same chip as the keyboard/mouse controller in laptop; and this is buggy in some respect.

In this case, stopping those programs stops battery queries coinciding with keyboard input.

Murphy666 (sebastien-bouchard) wrote :

I have the same bug... This append on my eMachines 6011 when I've upgraded from a one month old dapper version.

I can enter my password normally in KDM and after that the keyboard act like said in the previous post.

- I tried with the kernel parameter "i8042.nomux=1" , didn't work.
- psmouse module rate=40 parameter, didn't work.
- I tried removing battery management in KDE, didn't work (anyway i need battery monitoring).

So what's next?

I'm ready to debug my problem but i'm not sure what I should do now.

2 comments hidden view all 138 comments
FhnuZoag (zhou-zfang) wrote :

Ok, I've fixed the problem on my computer. I'm not using a laptop, though, so this may not apply to you.

I've got one more thing to try:

Use synaptic to check if you have a package called plptools installed. (It handles file operations with docked Psion PDAs)

Remove it.

Pray.

(Last part is optional)

It worked for me.

I.e. this is at least in some cases a repetition of https://launchpad.net/distros/ubuntu/+source/plptools/+bug/40956

If, however, plptools is not installed, then well... I'm positing that there's a common link between these different issues, as they all raise the same symptoms.

But *if* this class of bugs are the same, then the bug isn't with X or the kernel - because I observed the problem with plptools causing key repeats occuring during installation, before restarting.

For now, I'd recommend that plptools be removed from the repositories ASAP, because it is currently completely broken.

Gopal (gramchurn) wrote :

Removing the power manager works for me on the Toshiba Portege M300 laptop. I had noticed the change by mistakenly removing it. I restarted it yesterday and the repeats came back... thanks to your posts i'm now sure why it was happening.

dla (dla) wrote :

I can confirm this bug on a Dell Latitude D610 laptop computer.
I tried the i8042.nomus=1 suggestion as well as a 2.6.16.18 vanilla kernel. Both did not cure the symptoms. When I boot the next time into my Ubuntu installation, I will check for plptools to be installed.

Ross Golder (ross-golder) wrote :

Removing plptools worked for me. Thanks FhnuZoag.

On Fri, 2006-06-02 at 01:54 +0000, FhnuZoag wrote:

> Use synaptic to check if you have a package called plptools installed.
> (It handles file operations with docked Psion PDAs)
>
> Remove it.

This has fixed my problem

sudo dpkg -l | grep plptools

sudo dpkg -r plptools

and i have turned key repeat back on XD.

I suspect that we are dealing with a number of diffrent problems?

i will give feed back again on monday.

I don't have plptools, It seem to be a different problem that I have...

Murphy666 (sebastien-bouchard) wrote :

I have a temporary fix for Kubuntu, just kill the process kaccess

Antoine Amarilli (a3nm) wrote :

Hello,
I have an Acer Travelmate 4000, running under latest Dapper, and am encountering a similar problem (only since I updated to Dapper, not before under Breezy). At first I did only have the "skip problem", not the "repetition problem".
I have tried the :
sudo modprobe -r psmouse
sudo modprobe psmouse rate=40
but it caused my touchpad not to work anymore. I also tried to uninstall plptools, but it wasn't installed. I rebooted, I used the embedded "Fn+F7" to reactivate the touchpad, which did work, and then tried the "i8042.nomux=1" fix, which didn't change anything and caused the "repetition bug" to happen in addition to the "skip bug".
For what I've seen, the problem also happens in virtual consoles. I've tried typing continuously and found the skips to last for about half a second, and happen every 30 seconds - could that be synchronised with the battery monitor's frequency ?
I'll try other suggested fixes, and see if something changes. Any help greatly appreciated, this problem is really annoying.

Antoine Amarilli (a3nm) wrote :

Removing the battery monitor Gnome applet, killing battstat-applet-2, multiload-applet-2, cpufreq-applet gnome-power-manager had no effect either. I'll try again the
sudo modprobe -r psmouse
sudo modprobe psmouse rate=40

Antoine Amarilli (a3nm) wrote :

The
sudo modprobe -r psmouse
sudo modprobe psmouse rate=40
commands have no effect when entered in a terminal or included in /etc/rc.local
To be precise, the "repeat bug" won't happen in a virtual terminal. In a virtual terminal, it is enough to keep a key pressed down and wait - the repetition will stop for half a second every 30 seconds. In X, it not the case, and I have the "repeat bug" there.
I'm cancelling all previous fixes to avoid any side effects. Please help !

Kousik Nandy (kousiknandy) wrote :

I think the smart battery module is playing culprit here. Because if I remove the module acpi_sbs, I don't see the bug of missing/repeating keystrokes. Try

sudo rmmod acpi_sbs

Antoine Amarilli (a3nm) wrote :

Hi
thanks a lot ! The problem seems to be solved for me - apart from the fact that I don't have battery status display, of course... That's less annoying - and I can load/unload the acpi_sbs module on the fly to get the info - but a solution allowing to get both the battery status display and no keyboard lag would be of course better. Do you have an idea for me to solve the problem with the acpi_sbs module ?
Again, thank you very much for your help !

FredericVDE (fred-mentalwarp) wrote :

none of the proposed workarounds has resolved the problem for me so far.
(Acer aspire 1501lmi)

Changed in linux-source-2.6.15:
status: Confirmed → Fix Committed
Changed in linux-source-2.6.17:
assignee: nobody → ben-collins
importance: Untriaged → High
status: Unconfirmed → Fix Committed
Changed in linux-source-2.6.15:
assignee: nobody → ben-collins
Changed in linux-source-2.6.15:
status: Fix Committed → Fix Released
buddhasmiles (bharaneer) on 2006-07-12
Changed in linux-source-2.6.17:
status: Unconfirmed → Confirmed
Changed in linux-source-2.6.17:
status: Confirmed → Rejected
Changed in linux-source-2.6.17:
status: Fix Committed → Fix Released
58 comments hidden view all 138 comments

Sorry for adding so many comments in a short time - but this bug is just driving me nuts :-(

I did some test with the "noapic" and "acpi=noirq" options. None of them for itself solves the problem, and not even both together, as I just found out. It's important to disable the splash options too!

Not using the splash option makes the problem with the repeated characters much better (in this comment I had it just 3 times) - so somewhere the framebuffer (needed for the usplash) causes a problem.

Additionally using "noapic" and "acpi=noirq" nearly makes the problem go away - but if you have a dual core cpu, only one core will be utilized.

It would be great if others, who are experiencing this problems, could try out my suggestions and give feedback. Thanks!

Is this problem maybe related to a special kind of cpu? Mine is an Intel Core 2 Duo.

SarahLempp (sarah-lempp) wrote :

For my Toshiba Satellite L10-101 the problem was solved by doing a BIOS update.

Unfortunately, there is no BIOS update for my notebook (Dell D620). I've checked the DSDT, which didn't show any errors, so this shouldn't be causing problems.

As I wrote in my report to bug# 64325, I can work normally only with kernel 2.6.15 (the one from dapper).

I've even compiled kernel 2.6.18 and 2.6.19rc2-mm2 myself (optimised for Intel Core 2 Duo) - but the problems described in both bug reports aren't solved with any of them.

Additionally, I have disabled the boot splash screen (it causes a lot of problems regarding the keyboard issue) and I'm using the kernel option pci=assign-busses.

I can't estimate whether this is an kernel- or an application-based (X or KDE) bug. Neither do I know what has changed from the kernel side from 2.6.15 to 2.6.17, so that this all happens. I have to point out, that problems regarding the keyboard only appear within X - but never on the VT.

To sum up:

2.6.19rc-mm2, 2.6.18 and 2.6.17 only work if I use "noapic" and/or "acpi=noirq", but with any of these options activated I've only ONE core, which is not what I desire.

2.6.15 (from dapper) works (having both cores), but I have to have disable the splash.

Is this any hint for someone with deeper kernel/X/KDE knowledge?

holycow (m8nt1s-launchpad) wrote :

I found a fix for the key repeat issue I was experiencing, and thought I'd share.

I added the kernel boot parameter "notsc" to my grub kernel line, and that fixed it. With this, I could also remove the "psmouse.rate=40" and other suggested settings listed in the thread.

So, try adding "notsc" to your kernel boot.

BTW, my system is:

Dell D820, T7400 (Core 2 duo 2.16GHz)
2 Gb mem
100 Gb hdd
GeForce Go 7400
Gentoo 2006.1 (2.6.18-r1 and ~amd64)

Note: There is a kernel config option, CONFIG_X86_TSC, but there does not seem to be a way to disable it since it is enabled by default.

Updating the BIOS on my ThinkPad R60e had no effect. Nor did using the "notsc" kernel option - in fact this caused a Kernel Panic, so be careful that you haven't removed the fallback options in the Grub menu before you try this!

I' ve reinstalled Ubuntu with the new version : 6.10 edgy eft

Now, I can say that my keyboard works like a charm :)

Problem fixed for me

_________________________________________________________________
Découvrez Windows Live Messenger : le futur de MSN Messenger !
www.windowslivemessenger.fr

Even after a complete re-install of Edgy, I still get this problem on my Thinkpad R60e. :-( Still using the single processor kernel for now.

This problem seems to be solved with the kernel which is in Ubuntu feisty (published today)

2.6.19-4-generic #2 SMP Wed Nov 1 00:18:29 UTC 2006 x86_64 GNU/Linux

Alas, The 2.6.19-4-generic kernel from Feisty doesn't solve the problem for me.

Antoine Amarilli (a3nm) wrote :

The problem seems to be resolved for me after migration from Dapper to Edgy.

jhansonxi (jhansonxi) wrote :

My encounter with this problem was with a SiS530/5595 chipset board, Bug #55843. It occurred in every instance of X. I resolved it by switching from the generic SMP kernel to the i386 one.

Kevin Cantu (kevincantu) wrote :

I "fixed" this problem by turning off the keyboard repeat option.
In XFCE:
   Settings --> Keyboard Settings --> Settings --> Typing Settings --> [ ] Repeat

I still have the problems mentioned with konqueror (opening problem, Bug #64325) and firefox tab switching. And some other probably unrelated problems with lid-close and power ACPI events causing crashes.

Ubuntu Edgy / 2.6.17-10-generic / x86_64

Paul Coldrey (paul-ensigma) wrote :

Admittedly I am a Slackware user but the problem looks the same. I fixed it using the advice at:

http://rooster.stanford.edu/%7Eben/toshiba/keyboard.php

to paraphrase:

install accessx

then run the commands:

ax +bouncekeys
ax -timeout
ax bouncedelay 10

worked a treat for me.

Another method, based on the same reasoning is covered at:

http://www.janerob.com/rob/ts5100/index.shtml

The xkbset method mentioned on the "janerob" website above works well for me. I wouldn't say it completely fixes the problem, but I've only seen it happen once in nearly two weeks. Thanks, Paul!

The good news is that xkbset is in the Ubuntu repositories, so it's a simple case of installing it, and creating the script mentioned in the website. This seemed a lot simpler (at least from an Ubuntu perspective) than trying accessx.

Rostislav Raykov (zbrox) wrote :

I'm using an Acer Aspire 3620, and as I mentioned before this annoyance isn't occurring when the touchpad registers moving. But it's kinda not comfortable to have my thumb always on the touchpad and writing with the other 9 fingers :)
I'm using the newest Edgy with all updates and I've also installed a copy of Feisty to see if the problem there is persisting and it is.
What info can I post to diagnose the problem and maybe a possible solution to fix it. I've tried the above with no visible change concering this behaviour.

P.S. This keystroke repeating or even not registering of keystrokes is occuring often - something like every 10 minutes for random period of time.

I had this problem in Xubuntu 6.06 LTS (XFCE) on an old AMD K6-2/500 with SiS 530/5595 chipset. Very difficult to login at the login window.

XFCE > Settings > Keyboard Settings > Settings > Typing Settings did not help - if anything worse.

The xkbset solution had no effect.

I didn't try the accessx solution, but I found
a simple solution that does work:-

Add the kernel parameter 'clock=tsc' in GRUB (ie: to the 'kernel' line of the top kernel entry in /boot/grub/menu.lst).

anonym (launch-mailinator) wrote :

I have a similar problem. If I continue typing sooner or later it will start spawning keyboard repeats aaaaaaaaaaaaaaaaaaaaany second now. Ah, Q.E.D.

Well, noticed every time this happens it's accompanied by ttttttttttttttttttttthe following line in /var/log/messages:

Feb 28 17:40:40 localhost kernel: [17292441.248000] usb 2-2: reset low speed USB device using uhci_hcd and address 3

This is repeated about once every two seconds.

There are some tips here, suggesting faulty USB ports or mouse:

http://<email address hidden>/msg17771.html

Gee, writing this makes me feel aaaaaaaaaaaaaaaaaaaaaaa lot better. Uh, not really.

Rostislav Raykov (zbrox) wrote :

Why is the status of the bug set to "Fix released". This behaviour hasn't changed a bit and I'm using Feisty for some time now, hoping a bug fix will be released with some new kernel or something.

As per anonym's suggestion above, I replaced my mouse, even though I wasn't seeing kernel messages about USB.

Result: I haven't seen a single keyboard repeat in two weeks!

For info, my old mouse (the one that apparently was causing the problems) was a Logitech "Wheel Mouse" from 1998. The new one (which causes no keyboard repeats) is a Microsoft "Wheel Mouse Optical 1.1A USB" and is probably 3-4 years old.

I didn't have this problem in Dapper or Edgy, but it's showing up in Feisty. I'll try some of the workarounds here.

Michael Katz (miceagol) wrote :

I've never had this problem before, also right after installing Feisty. When an update for Feisty came, this problem suddenly happened after rebooting. This needs to be fixed before the final Feisty release!

Keyboard: Logitech Internet Keyboard
Mouse: Logitech MX400

franxico (batuque) wrote :

Same problem here. When the repeat feature is on, the keyboard goes nuts. I'm using Feisty in a MS-6340 mobo, a PS2 french keyboard and an USB laser mouse plugged also in a PS2 port.

I too got a Logitech Mouse (some wireless, don't know the exact model). I'm quite sure the problem first occured after I had switched to that mouse (before, I had a MS mouse).
Seems like a theme developing...

Michael Katz (miceagol) wrote :

This bug is listed as fixed. You should rather post a comment here: https://launchpad.net/ubuntu/+bug/99356

anonym (launch-mailinator) wrote :

I've been having this problem off and on for months. Today it was driving me crazy, with repeats every other second. I unplugged my Logitech USB Wheel Mouse (type M-BD58) and substituted an HP USB mouse (M-UAE96) instead. Voila - no more repeats. Unfortunately the HP mouse is crappy...

I have had the same problem in to two different setups and here is what solved the problem for me:

1) Ubuntu 6.10 in VM-Ware Player
2) Ubuntu 7.04 on AMD64 X2 on Mainboard Asus M2N-E

Same behaviour on both, so I guess the hardware details are not so important. The Problem appeared from one day to the next without any change in the system.

I tried Rebooting, on the AMD64 as that had helped in the VM-WarePlayer, but no success. But rebooting keeps several components of the PC unter power. You can see
several LEDs still bright while Computer is switched off. So I shut down the computer and pulled the Plug for several seconds. All the LED were dark then (of cause :-). Reconnect to power and switch on and... the problem was gone.

So maybe there is an issue in the keyboard driver not initializing enough registers at startup? If they contain a wrong value for some resaon, you cannot get it out be reloading the driver or rebooting the computer.

Good luck
Martin

Changed in linux-restricted-modules-2.6.15:
assignee: nobody → ben-collins
status: New → Fix Released
David Gauchard (d-a-v) wrote :

Hello,

I have the same symptoms.
None of the options described above solve my problem.
In the meantime, I'm using a bad workaround (enabling repeat on some keys only using xset, see at the end of the post).

Let me describe my problem :
I'm running debian-stable (etch) withe the latest kernel (2.6.18.5)
Cpu: pentium 4 (single core, no hyper-threading).
Box : Dell Optiplex GX260
Symptoms :
The keyboard behaviour is usually correct, but when I press a key with involves some cpu calculation (more than displaying the key), then the systems behaves like if the key was not released. It is seen released "later". Typically the key is ctrl-T on firefox (I get tons of new tabs), / (slash) on firefox (when searching in a big page), ctrl-+ (this is horrible, I get a one huge letter after a while on my firefox window with this), enter in dselect (debian package management) on the search line (pressing / in the package list), ...
This does not happen in text-mode-virtual-console (with dselect).

This happens ONLY with 2.6 (any version from 2.6.15 up to 2.6.18), I have NO problem with 2.4.

What I tried :
Lots of combinations of acpi=off noacpi nosmp no apic nolapic notsc irqpoll noapictimer... (as described on a link above)
What I did not try :
Recompile a kernel with no smp and/or other PREEMPT config (the one shipped with Debian has SMP and CONFIG_PREEMPT_NONE=y)

For now I'm using this script where the list of number are keycodes which match the keys for which I want to enable repeat (backspace, del, arrows for now).
#!/bin/sh
xset r on
for i in `xmodmap -pke|awk '{print $2;}'`;do
        xset r $i
done
for i in `xmodmap -pke|awk '{print $2;}' | egrep -v "98|102|104|100|22|107"`; do
        xset -r $i
done

It is my office's PC so I have no much time to try everything.
I can live with this for now, but I'd prefer find a good solution. Maybe one of you have found something different to try so far. I'll let you know if I have time to recompile and try a new kernel.

david

David, did you try to install a current kernel version (e.g. 2.6.23)? I believe that the problem is caused by the kernel, and updating it solves it.

David Gauchard (d-a-v) wrote :

Hello,

Not yet, since kernels shipped with debian etch are 2.6.18 (I first noticed that problem "long" ago with 2.6.15).
But you are right, it is worth giving a try. I'll compile one as soon as possible and report here.

Thanks

david

David Gauchard (d-a-v) wrote :

Hey,

Thanks for this advice !

Everything has unfailed with 2.6.23 built with the debian-etch's 2.6.18 .config and
this command-line: 'make-kpkg --append-to-version "-trial" --initrd buildpackage --config menuconfig'.
The kernel is running without any special option (like noacpi,...)

Thanks again !

david

Guy Gong (guygong) wrote :

I too have a problem with my laptop keyboard which is an Omnibook 6100 running Mandriva 2008One. Sorry that this isn't a Ubuntu distro but this was the only place I found that had issues with the Keyboard and repeating Keys. Anyway, all was working fine out of the box and I had been trying to configure kpilot without success and all of a sudden, when I went to do a menu function, it would scroll on it's own to the right on it's own like the right arrow key was pressed. The problem would also be a problem with my spreadsheets, scrolling all the way to the end, and also be a problem in Konsole, where a "^[[C" would show and would affect my entering a password for "Root". I've tried the PSmouse rate=40, adjusting the key repeat, key slowness, Key bounce. Nothing worked. I kinda have a handle on it now by just pressing on the left arrow key and holding it down but I can't keep doing that all the time. It also causes my video to crash when watching a DVD. Again, sorry if this post shouldn't be here but I'm out of options.

Hello,
      I dont know if I will be of much use too you.I think my bug was
specific to Ibm notepads.I will have a look at my notes and see what I did
to sort it out as I cant remember of the top of my head.
      Regards,
Mark

On Mon, Feb 25, 2008 at 10:23 PM, Guy Gong <email address hidden> wrote:

> I too have a problem with my laptop keyboard which is an Omnibook 6100
> running Mandriva 2008One. Sorry that this isn't a Ubuntu distro but this
> was the only place I found that had issues with the Keyboard and
> repeating Keys. Anyway, all was working fine out of the box and I had
> been trying to configure kpilot without success and all of a sudden,
> when I went to do a menu function, it would scroll on it's own to the
> right on it's own like the right arrow key was pressed. The problem
> would also be a problem with my spreadsheets, scrolling all the way to
> the end, and also be a problem in Konsole, where a "^[[C" would show and
> would affect my entering a password for "Root". I've tried the PSmouse
> rate=40, adjusting the key repeat, key slowness, Key bounce. Nothing
> worked. I kinda have a handle on it now by just pressing on the left
> arrow key and holding it down but I can't keep doing that all the time.
> It also causes my video to crash when watching a DVD. Again, sorry if
> this post shouldn't be here but I'm out of options.
>
> --
> Keyboard random repeat and dropped key presses
> https://bugs.launchpad.net/bugs/39315
> You received this bug notification because you are a direct subscriber
> of a duplicate bug.
>

Guy Gong (guygong) wrote :

I went into my CMOS and it scrolls through the menus as well. I can control it by pressing on the left arrow key and it keeps it from scrolling on it's own to the right and the right arrow key will actually work when I actually press it. By the same token, I have to press down on the right arrow key in order to keep it from scrolling out of control to the left. I can do the same when I boot into Mandriva 2008. I could live with it because I can at utilize most of it but where it still annoying is when I want to use my spreadsheet application or when I am watching a DVD. This all seemed to start when trying to set my palm zire to sync, which worked in Mandriva 2006. I've seen posts on the net regarding a kpilot problem but don't see how that would have affected the keyboard on my laptop, and even stranger, how would it have affected the keyboard even while in CMOS. Again, sorry that I'm posting in a Ubuntu forum.

Guy Gong, you are not posting to a forum but to a bug report. As far as I can say from your description, you are not having the bug which is reported here. The bug was (in older versions of the linux kernel), that any key pressed was repeated or sometimes any key press was simply ignored. Your problem is that suddenly your right arrow key hangs and generates key press events. This seems to be a hardware fault (maybe dust or similar), as you experience this problem right at boot time (even in the BIOS). The bug which is described here only occurred at certain versions of the kernel. It didn't happen in the BIOS, nor in Windows.

I suggest you to get your notebook hardware (keyboard) checked.

Guy Gong (guygong) wrote :

Thanks for the help. I think you're correct that it could be a hardware issue. When the computer was still an Windows machine, I didn't notice it since I wasn't doing anything that required me to use the arrow keys like using a spreadsheet. Or it could all be coincidence that it happen at the same time I was trying to configure kpilot to sync my palm. Anyway, I'll try cleaning and looking at other options. Thanks...

If it occuring in the CMOS then it is certainly a hardware problem as the
Bios runs on a deeper level than the OS,Might try small earbuds on cleaning
the keyboard keys when machine switched off.

On Wed, Feb 27, 2008 at 5:09 PM, Guy Gong <email address hidden> wrote:

> Thanks for the help. I think you're correct that it could be a hardware
> issue. When the computer was still an Windows machine, I didn't notice
> it since I wasn't doing anything that required me to use the arrow keys
> like using a spreadsheet. Or it could all be coincidence that it happen
> at the same time I was trying to configure kpilot to sync my palm.
> Anyway, I'll try cleaning and looking at other options. Thanks...
>
> --
> Keyboard random repeat and dropped key presses
> https://bugs.launchpad.net/bugs/39315
> You received this bug notification because you are a direct subscriber
> of a duplicate bug.
>

legolas558 (legolas558) wrote :
legolas558 (legolas558) wrote :
Benjamin B. (mail-b-burkhart) wrote :

Me too ...

#pragma (ubuntar) wrote :

I have Lenovo Thinkpad T61,when i am connecting PS/2 mouse and PS/2 keyboard to USB adapter,that uses only one USB port,i have same random keypresses.Sometimes new firefox window can be opened about 10 times per second or may be more,and only helps reconnect of adapter.

Displaying first 40 and last 40 comments. View all 138 comments or add a comment.
This report contains Public information  Edit
Everyone can see this information.

Other bug subscribers

Remote bug watches

Bug watches keep track of this bug in other bug trackers.